#include <iostream>
using namespace std;
int main()
{
    string x;
    cin >> x;
    int a=x.size();
    int b;
    if (a%2==0){b=a/2;}
    else{b=a/2 + 1;}
    int i=0;
    bool l=false;
    int c=a;
    while (i<b && l==false){
        if (x[i]==x[a-i-1]){
            c-=2;
        }
        else{
            l=true;
            c-=1;
        }
        i++;
    }
    if (l==false){
        c=1;
    }
    cout<<c<<endl;
    return 0;
}